unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Plann32, Split32 ,StdCtrls, Buttons, Grids, Calendar, ExtCtrls, Registry,
  ComCtrls;

type
  TMain = class(TForm)
    Panel1: TPanel;
    Cald: TCalendar;
    Panel2: TPanel;
    SpeedButton1: TSpeedButton;
    SpeedButton2: TSpeedButton;
    User: TLabel;
    Edit1: TEdit;
    Pass: TLabel;
    Edit2: TEdit;
    EnterBtn: TBitBtn;
    FindEmpty: TSpeedButton;
    Panel3: TPanel;
    TreeView1: TTreeView;
    ListView1: TListView;
    ImageList1: TImageList;
    ImageList2: TImageList;
    Splitter1: TSplitter;
    SpeedButton3: TSpeedButton;
    procedure FormCreate(Sender: TObject);
    procedure CaldChange(Sender: TObject);
    procedure SpeedButton1Click(Sender: TObject);
    procedure SpeedButton2Click(Sender: TObject);
    procedure EnterBtnClick(Sender: TObject);
    procedure FindEmptyClick(Sender: TObject);
    procedure TreeView1Click(Sender: TObject);
    procedure ListView1Click(Sender: TObject);
    procedure SpeedButton3Click(Sender: TObject);
  private
    { Dclarations prives }
  public
    Planning1:TPlanning;
  end;

var
  Main: TMain;
  
implementation

{$R *.DFM}

procedure TMain.FormCreate(Sender: TObject);
begin
 Panel2.Caption:= FormatDateTime
 ('dddd d mmmm yy', EncodeDate(Cald.Year, Cald.Month, Cald.Day));
 Planning1:=TPlanning.Create(Self);
with Planning1 do
  begin
   Parent:= Self;
   Left:=2;
   Top:=2;
   Authentication:=true;
   Enabled:=false;
   TreeView:=TreeView1;
   ListView:=ListView1;
  end;

end;

procedure TMain.CaldChange(Sender: TObject);
begin
 Planning1.Save;
 Planning1.LoadTree;
 Planning1.Day:=Cald.Day;
 Planning1.Month:=Cald.Month;
 Planning1.Year:=Cald.Year;
 Planning1.Clear;
 Planning1.Load;
 Panel2.Caption:= FormatDateTime('dddd d mmmm yy',EncodeDate(Cald.Year, Cald.Month, Cald.Day));
end;

procedure TMain.SpeedButton1Click(Sender: TObject);
begin
 Cald.PrevMonth;
end;

procedure TMain.SpeedButton2Click(Sender: TObject);
begin
 Cald.NextMonth;
end;

procedure TMain.EnterBtnClick(Sender: TObject);
begin
 Planning1.Enabled:=true;
 Planning1.User:=Edit1.Text;
 Planning1.Pass:=Edit2.Text;
  if not Planning1.Validation then
   begin
    Planning1.Enabled:=false;
    Edit2.Text:='';
    MessageDlg('Bad Password !', mtInformation,[mbOk], 0);
   end
  else Planning1.Load;
  Planning1.LoadTree;
end;

procedure TMain.FindEmptyClick(Sender: TObject);
var WinIni: TRegIniFile;
    AllUsers:TStringList;
begin
 AllUsers:=TStringList.Create;
 WinIni := TRegIniFile.Create('Smyl003');
 WinIni.ReadSection('Pass',AllUsers);
 Planning1.FindEmpty(AllUsers);
 WinIni.Free;
 AllUsers.Free;
end;

procedure TMain.TreeView1Click(Sender: TObject);
begin
 Planning1.LoadListVue(TreeView1.Selected.Text);
end;

procedure TMain.ListView1Click(Sender: TObject);
begin
 if ListView1.Selected<>nil then Planning1.Checker;
end;

procedure TMain.SpeedButton3Click(Sender: TObject);
begin
  Planning1.LoadTree;
end;

end.
